Loading...
Searching...
No Matches
juce::PerformanceCounter::Statistics Struct Reference

`#include <juce_PerformanceCounter.h>`

## Public Member Functions

void | clear () noexcept
String | toString () const
void | addResult (double elapsed) noexcept

## Public Attributes

String | name
double | averageSeconds
double | maximumSeconds
double | minimumSeconds
double | totalSeconds
int64 | numRuns

## Detailed Description

Holds the current statistics.

Definition at line 92 of file juce_PerformanceCounter.h.

## Constructor & Destructor Documentation

## Statistics()

juce::PerformanceCounter::Statistics::Statistics | ( |  | ) |

noexcept

Definition at line 50 of file juce_PerformanceCounter.cpp.

## Member Function Documentation

## addResult()

void juce::PerformanceCounter::Statistics::addResult | ( | double | elapsed | ) |

noexcept

Definition at line 61 of file juce_PerformanceCounter.cpp.

## clear()

void juce::PerformanceCounter::Statistics::clear | ( |  | ) |

noexcept

Definition at line 55 of file juce_PerformanceCounter.cpp.

## toString()

String juce::PerformanceCounter::Statistics::toString | ( |  | ) | const

Definition at line 84 of file juce_PerformanceCounter.cpp.

## Member Data Documentation

## averageSeconds

double juce::PerformanceCounter::Statistics::averageSeconds

Definition at line 102 of file juce_PerformanceCounter.h.

## maximumSeconds

double juce::PerformanceCounter::Statistics::maximumSeconds

Definition at line 103 of file juce_PerformanceCounter.h.

## minimumSeconds

double juce::PerformanceCounter::Statistics::minimumSeconds

Definition at line 104 of file juce_PerformanceCounter.h.

## name

String juce::PerformanceCounter::Statistics::name

Definition at line 101 of file juce_PerformanceCounter.h.

## numRuns

int64 juce::PerformanceCounter::Statistics::numRuns

Definition at line 106 of file juce_PerformanceCounter.h.

## totalSeconds

double juce::PerformanceCounter::Statistics::totalSeconds

Definition at line 105 of file juce_PerformanceCounter.h.

The documentation for this struct was generated from the following files:

- juce_PerformanceCounter.h
- juce_PerformanceCounter.cpp